Status: Closed

Priority: Severe/Regression

Assignee: Jürgen Fischer

Category: GUI

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 18879

Description

In QGIS master when a column alias is defined this does not only replace the column name in the table of attributes (as it always

happened in QGIS since aliases where introduced), but also in the dropdown used for categorized/graduated symbology.

One problem: clicking on "classify" after choosing an alias no symbology categories are created (it shows only the generic one that qgis

always adds at the end of the symbology classes list).

Second problem: removing the alias does not solve the issue, in fact after removing it ("fields" tab) the dropdown for

categorized/graduated symbology has a blank space where the column name should show. The only way to "fix" is removing the layer.

Associated revisions

Revision 277d1268 - 2014-06-09 02:50 PM - Jürgen Fischer

field model: return alias as display role, but field name as edit role (fixes #10467)

History

#1 - 2014-06-04 04:16 PM - Giovanni Manghi

PS

loading a style created with qgis 2.2 in qgis master creates a lot of mess if the style contain aliases (column aliases are saved into qml style files).

#2 - 2014-06-09 04:32 AM - Jürgen Fischer

- Assignee set to Jürgen Fischer

#3 - 2014-06-09 05:50 AM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"277d126816049dd9f349ff2285b1db82cc2c2b1b".
